package com.kgraph.graph.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.kgraph.common.annotation.Excel;
import com.kgraph.common.core.domain.BaseEntity;

/**
 * 源文件管理对象 biz_source_file
 * 
 * @author Allen
 * @date 2023-10-16
 */
public class SourceFile extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 源文件名称 */
    @Excel(name = "源文件名称")
    private String sourceFileName;

    /** 源文件类型 */
    @Excel(name = "源文件类型")
    private String sourceFileType;

    /** 源文件路径 */
    @Excel(name = "源文件路径")
    private String sourceFilePath;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setSourceFileName(String sourceFileName) 
    {
        this.sourceFileName = sourceFileName;
    }

    public String getSourceFileName() 
    {
        return sourceFileName;
    }
    public void setSourceFileType(String sourceFileType) 
    {
        this.sourceFileType = sourceFileType;
    }

    public String getSourceFileType() 
    {
        return sourceFileType;
    }
    public void setSourceFilePath(String sourceFilePath) 
    {
        this.sourceFilePath = sourceFilePath;
    }

    public String getSourceFilePath() 
    {
        return sourceFilePath;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sourceFileName", getSourceFileName())
            .append("sourceFileType", getSourceFileType())
            .append("sourceFilePath", getSourceFilePath())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
